# Delete accounting entry type Delete a specific accounting entry type by its ID. # OpenAPI definition ```json { "openapi": "3.1.0", "info": { "title": "Core platform - Accounting", "version": "1.0.0", "description": "API used to manage the accounting context", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/accounting", "description": "Sandbox API server for testing" } ], "components": { "schemas": { "EntryTypeDelete": { "required": [ "reason" ], "type": "object", "properties": { "reason": { "$ref": "#/components/schemas/HistoryReason" }, "responsible": { "$ref": "#/components/schemas/HistoryResponsible" } }, "example": { "reason": "Deleting accounting entry type configuration.", "responsible": "John Doe" } }, "HistoryReason": { "type": "string", "maximum": 250, "description": "Reason for the operation.", "example": "Creation of a new entry type configuration." }, "HistoryResponsible": { "type": "string", "maximum": 100, "description": "User name or ID of the person performing the operation.", "example": "John Doe" } } }, "tags": [ { "name": "Accounting entry types", "description": "Endpoints to manage accounting entry types" } ], "paths": { "/v2/entry-types/{entryTypeId}": { "delete": { "operationId": "DeleteEntryTypeV2", "summary": "Delete accounting entry type", "description": "Delete a specific accounting entry type by its ID.", "tags": [ "Accounting entry types" ], "parameters": [ { "in": "path", "name": "entryTypeId", "schema": { "type": "integer", "format": "int64" }, "required": true, "description": "Numeric entry type ID" } ], "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/EntryTypeDelete" } } } }, "responses": { "200": { "description": "OK" }, "400": { "description": "Bad request when a provided parameter is invalid" }, "404": { "description": "Entry type not found" }, "500": { "description": "Internal server error" } }, "deprecated": false } } } } ```